# Confirm Microdeposits for verification

Confirm microdeposits amounts or descriptor code that you have received from the Send Microdeposits request. Once you correctly confirm this, this US Bank Account will be verified and eligible to transfer funds with.

## Request

```curl
curl -X POST https://api.stripe.com/v2/core/vault/us_bank_accounts/usba_test_61TTrNIGW0Kfu6Loe16TTnp50xSQQ5fFlwPErT7SSCmG/confirm_microdeposits \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "amounts": [
        15,
        48
    ]
  }'
```

### Response

```json
{
  "id": "usba_test_61TTrNIGW0Kfu6Loe16TTnp50xSQQ5fFlwPErT7SSCmG",
  "object": "v2.core.vault.us_bank_account",
  "archived": false,
  "bank_account_type": "checking",
  "bank_name": "Test Bank",
  "created": "2025-10-21T00:27:12.940Z",
  "fedwire_routing_number": null,
  "last4": "6789",
  "routing_number": "110000000",
  "supported_currencies": [
    "usd"
  ],
  "verification": {
    "microdeposit_verification_details": null,
    "status": "verified"
  },
  "livemode": true
}
```

## Parameters

- `amounts` (array of integers, optional)
  Two amounts received through Send Microdeposits must match the input to Confirm Microdeposits to verify US Bank Account.

- `descriptor_code` (string, optional)
  Descriptor code received through Send Microdeposits must match the input to Confirm Microdeposits to verify US Bank Account.

## Returns

Returns an [US Bank Account object](https://docs.stripe.com/api/v2/core/vault/us-bank-accounts/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | archived_us_bank_account | Returned in cases where the bank account cannot be updated due to being archived. |
| 400 | us_bank_account_confirm_microdeposits_failure | Returned when the wrong values were provided to confirm microdeposits. |
| 400 | us_bank_account_microdeposits_cannot_be_confirmed | Returned when microdeposits cannot be confirmed for the US bank account in its current state. |
| 400 | us_bank_account_microdeposits_not_sent_before_confirming | Returned when an attempt is made to confirm microdeposits before the microdeposits have been sent. |
| 400 | us_bank_account_microdeposits_timed_out | Returned when an attempt to confirm microdeposits has failed because too much time has elapsed since the microdeposits were sent. |
| 400 | us_bank_account_verification_failed | Returned when verification of a US bank account has failed, reaching a terminal failure state. |
| 404 | not_found | The resource wasn’t found. |
| 409 | idempotency_error | An idempotent retry occurred with different request parameters. |
